#pragma once
#include <modbuspp.h>
#include "ModbusInterface.h"

class ModbusRTU :
    public ModbusInterface
{
private:
    unsigned int baud;
    char pairity;
    unsigned int stopBit;



    //Create settings string
    std::string getSettingsString() const;

public:
    ModbusRTU(const u_int id, const std::string _device, const u_int _baud, const char _pairity, const u_int _stopBit);
    virtual ~ModbusRTU();
    virtual void modbus_init() override;

    std::string getConnectionType()override { return "Rtu"; }

};

