#pragma once
#include "ParameterInterface.h"

class ParameterCharP : public ParameterInterface<char*>
{	
private:
	char* param = nullptr;
	const uint8_t length;
public:
	ParameterCharP(const ModbusRegister  description, const uint16_t address, const uint8_t _length, const Access access) : ParameterInterface(description, address, access), length(_length) {};
    ParameterCharP(const ModbusRegister description, const unsigned short address, const uint8_t _length, const Access access, const Category cat) : ParameterInterface(description, address, access, cat), length(_length) {};
    virtual ~ParameterCharP(){}

	uint8_t getSize() const override { return length; }
};
