TEMPLATE = app
CONFIG += console c++17
CONFIG -= app_bundle
CONFIG -= qt

#INCLUDEPATH += ../AsioNetClientServer
#LIBS += -L../AsioNetClientServer/debug -lasio_inet_client_server
#LIBS += -pthread

unix: CONFIG += link_pkgconfig
unix: PKGCONFIG += libmodbuspp


SOURCES += \
    CustomStringUtilities.cpp \
    DataAcquisition.cpp \
    DataModel.cpp \
    Evaluator.cpp \
    MLAnalyzer.cpp \
    MLLinReg.cpp \
    ModbusDataBender.cpp \
    ModbusDataInterface.cpp \
    ModbusDataPOC.cpp \
    ModbusInterface.cpp \
    ModbusRtu.cpp \
    ModbusTcp.cpp \
    NetServer.cpp \
    ParameterCharP.cpp \
    ParameterDouble.cpp \
    ParameterFloat.cpp \
    ParameterS16.cpp \
    ParameterUInt16.cpp \
    ParameterUInt32.cpp \
    PublisherBenderRcm.cpp \
    PublisherInterface.cpp \
    PublisherPowercenter.cpp \
    SystemConfig.cpp \
    SystemControler.cpp \
    cappedstorage.cpp \
    easylogging++.cc \
    main.cpp

HEADERS += \
    CustomStringUtilities.h \
    DataAcquisition.h \
    DataModel.h \
    Evaluator.h \
    MLAlert.h \
    MLAnalyzer.h \
    MLLinReg.h \
    ModbusDataBender.h \
    ModbusDataInterface.h \
    ModbusDataPOC.h \
    ModbusInterface.h \
    ModbusRegister.h \
    ModbusRtu.h \
    ModbusTcp.h \
    NetServer.h \
    ParameterCharP.h \
    ParameterDouble.h \
    ParameterFloat.h \
    ParameterInterface.h \
    ParameterS16.h \
    ParameterUInt16.h \
    ParameterUInt32.h \
    PublisherBenderRcm.h \
    PublisherInterface.h \
    PublisherPowercenter.h \
    PublisherType.h \
    SystemConfig.h \
    SystemControler.h \
    asioClientServer/net_client.h \
    asioClientServer/net_common.h \
    asioClientServer/net_connection.h \
    asioClientServer/net_dequeue_ts.h \
    asioClientServer/net_message.h \
    asioClientServer/net_server.h \
    cappedstorage.h \
    modbus_interface_lib.h \
    net_server_client.h \
    ts_map.h \
    ts_queue.h \
    easylogging++.h

DISTFILES += \
    build_baConditionMonitoring/system_conf.conf


